package com.guagua.base.function;

/**
 * 可变包装类
 * 主要解决 内部类 无法访问 可变成员的问题。
 * @author acer
 * @param <T>
 */
public class MutablePack<T> {
	T obj;
	public MutablePack() {
	}
	
	/**
	 * 不推荐在初始化时设置值，而应在 内部内使用前设置，该方法后续可能会被删除
	 * @param obj
	 */
	@Deprecated
	public MutablePack(T obj) {
		set(obj);
	}
	public void set(T obj) {
		this.obj = obj; 
	}
	public T get() {
		return obj;
	}
}
