package com.guagua.base.util;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

/**
 * 对象和JSON格式互转工具类
 * 
 * @author 黄海江
 * @version 2012-5-29 下午8:22:02
 */
public class GsonUtil {
	
	public static final GsonBuilder dateFormatGsonBuilder = new GsonBuilder().setDateFormat("yyyyMMdd'T'HHmmss");	

	public static Gson newGsonInstance(){
		return dateFormatGsonBuilder.create();
	}

}
