/**
 * 
 */
package com.guagua.base.util;

import java.util.Set;

/**
 * @author 徐峰
 *
 */
public class SetUtil {

	/**
	 * 得到map中和key值最配置的 value 
	 * 匹配过程： 如：key为“badu.login.pass.1” 时， 依次寻找 badu.login.pass.2 、badu.login.pass 、badu.login 、badu 返回第一出现的值 
	 * @param set 从map中寻找数据
	 * @param key 要寻找的key 
	 * @return
	 */
	public static String findMatch(String key, Set<String> set) {
		if (key == null || set == null) {
			return null;
		}
		String result = null;
		while(result == null) {
			result = set.contains(key) ? key : null;
			int index = key.lastIndexOf(".");
			if (index < 0) {
				break;
			}
			key = key.substring(0, index);
		}
		return result;
	}

}
