package com.guagua.base;

/**
 * 业务异常
 * 
 * @author 徐峰 2010-6-1 version 0.01
 */
public class BusinessException extends RuntimeException {
	private static final long serialVersionUID = 4908057740861418501L;
	
	/** 错误状态码 */
	public final int state;

	public BusinessException() {
		super();
		this.state = 1;
	}
	
	public BusinessException(Throwable e) {
		super(e);
		this.state = 1;
	}

	public BusinessException(String message) {
		super(message);
		this.state = 1;
	}

	public BusinessException(int state, String message) {
		super(message);
		this.state = state;
	}

	public BusinessException(String message, Throwable e) {
		super(message, e);
		this.state = 1;
	}

	public BusinessException(int state, String message, Throwable e) {
		super(message, e);
		this.state = state;
	}
	
}
