package com.guagua.base.function;

/**
 * 三个参数的函数
 * 实现函数式编程
 * @author xufeng
 * @param <R> 返回值类型
 * @param <T1> 参数1类型
 * @param <T2> 参数2类型
 * @param <T3> 参数3类型
 * @version 0.2 2009-12-16
 */
public interface Function3<R, T1, T2, T3> {
	public R apply(T1 v1, T2 v2, T3 v3) throws Exception;
}
