/**
 * 
 */
package com.guagua.base.util;

/**
 * 请求结果对象
 * @author 徐峰
 *
 */
public class Result<T> {
	private int state;
	private String message;
	private T data;
	
	/**
	 * 操作状态 0 为成功
	 * @return
	 */
	public int getState() {
		return state;
	}
	
	/**
	 * 对操作状态的描述
	 * @return
	 */
	public String getMessage() {
		return message;
	}
	
	/**
	 * 返回数据
	 * @return
	 */
	public T getData() {
		return data;
	}
}
